Const BUTTONS_OK = 0
Const DO_NOT_WAIT_ON_RETURN = false
Const VERSION_NUMBER = "1.4"
Const WINDOW_STYLE_HIDE = 0

Dim applicationName
Dim command
Dim displayManagerName
Dim environmentPath
Dim file

' Get variables from arguments.
If WScript.Arguments.Count >= 3 Then
    file = Trim(WScript.Arguments(0))
    environmentPath = Trim(WScript.Arguments(1))
    displayManagerName = Trim(WScript.Arguments(2))
Else
    MsgBox "Cannot open FoxFind: missing arguments. Reinstall FoxFind.", BUTTONS_OK, "FoxFind Error"
    WScript.Quit()
End If

' Clean environment path.
If environmentPath <> "" And Right(environmentPath, 1) <> "\" Then
    environmentPath = environmentPath & "\"
End If

' Create command to run executable with arguments.
command = environmentPath & file & _
	" """ & environmentPath    & """" & _
	" """ & displayManagerName & """"

' Get application name of foxfind.hta.
applicationName = "FoxFind"
If displayManagerName <> "" Then
    applicationName = applicationName & " - " & displayManagerName & " - v" & VERSION_NUMBER
Else
    applicationName = applicationName & " v" & VERSION_NUMBER
End If

' Focus the existing foxfind.hta window if it exists.
' Otherwise, start a new foxfind.hta process.
Set shell = CreateObject("WScript.Shell")
If Not shell.AppActivate(applicationName) Then
    shell.Run command, WINDOW_STYLE_HIDE, DO_NOT_WAIT_ON_RETURN
End If